@import './colors.scss';
@import '~@angular/material/theming';
@include mat-core();

@media screen and (min-width: 992px) {
    .d-md-none {
        display: none !important;
    }
}

@each $color-name, $color in $colors {
    .theme-#{"" + $color-name} {
        * {
           transition: 0.2s ease-out background-color;
        }
        // Define the palettes for your theme using the Material Design palettes available in palette.scss
        // (imported above). For each palette, you can optionally specify a default, lighter, and darker
        // hue. Available color palettes: https://material.io/design/color/
        $theme-primary: map-get($mat-colors, $color-name);
        $theme-accent:  mat-palette(map-get($mat-colors, $color-name), 900);
        // The warn palette is optional (defaults to red).
        $theme-warn:    mat-palette($mat-red);

        // Create the theme object (a Sass map containing all of the palettes).
        $theme: mat-light-theme($theme-primary, $theme-accent, $theme-warn);

        // Include theme styles for core and each component used in your app.
        // Alternatively, you can import and @include the theme mixins for each component
        // that you are using.
        @include angular-material-theme($theme);

        /*.mat-progress-bar-fill, .mat-progress-bar-fill::after {
            background-color: $color;
        }*/

        .sidebar .menu .list .ml-menu li.active a.toggled:not(.menu-toggle):before {
            color: $color;
        }
        .mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-thumb {
            background-color: $color;
        }
        .mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-bar {
            background-color: fade($color, 50%);
        }
        .mat-fab.mat-primary,
        .mat-mini-fab.mat-primary,
        .mat-raised-button.mat-primary {
            background-color: $color;
        }
        .mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
            border-color: $color;
        }
        .mat-radio-button.mat-accent .mat-radio-inner-circle {
            background-color: $color;
        }
        .mat-checkbox-checked.mat-accent:not(.mat-checkbox-disabled) .mat-checkbox-background,
        .mat-checkbox-indeterminate.mat-accent:not(.mat-checkbox-disabled) .mat-checkbox-background {
            background-color: $color;
        }
        .card .action .material-icons {
            color: $color  !important;
        }
        /* add theme-links to a parent element to indicate that all children anchors should use the current theme's color */
        .theme-links a {
            color: $color  !important;
        }
        .theme-active-link {
            .active a {
                color: $color  !important;
            }
            a:hover {
                color: $color  !important;
            }
            a:focus {
                color: $color  !important;
            }
        }
        .ngx-pagination .current {
            background-color: $color;
        }
        .btn-primary,
        .btn-primary:hover,
        .btn-primary:active,
        .btn-primary:focus {
            background-color: $color  !important;
        }
        // a.dropdown-toggle {
        //     color: @color !important;
        // }
        .mat-tab-group.mat-primary .mat-ink-bar,
        .mat-tab-nav-bar.mat-primary .mat-ink-bar {
            background-color: $color;
        }
        .mat-fab.mat-primary:not([disabled]),
        .mat-flat-button.mat-primary:not([disabled]),
        .mat-mini-fab.mat-primary:not([disabled]),
        .mat-raised-button.mat-primary:not([disabled]) {
            background-color: $color;
        }
        .mat-form-field-invalid .mat-input-element,
        .mat-warn .mat-input-element {
            caret-color: $color;
        }
        .form-group .form-line:after {
            border-bottom-color: $color;
        }
        .mat-form-field.mat-focused {
            .mat-form-field-label {
                color: $color;
            }
            .mat-form-field-ripple {
                background-color: $color;
            }
        }

        .panel-default .panel-heading {
            background-color: $color;
            color: #fff;
        }

        .navbar {
            background-color: $color;
        }
    }
}

/* General */

.clickable-item {
    cursor: pointer;
}

.text-bold {
    font-weight: bold;
}

.hasLoader {
    position: relative;

    mat-progress-bar {
        position: absolute;
        top: -1px;
        left: 0px;
        right: 0px;
        width: 100%;
    }
}

/* Portlet */

.portlet.light>.portlet-title .inputs.inputs-full-width {
    display: block;
    float: none;
}

.famfamfam-flags {
    display: inline-block;
}

topbar-languageswitch {
    float: left;
    margin-top: 25px;
    margin-left: 10px;
    a {
        text-decoration: none;
        color: #fff;
        &:hover {
            text-decoration: none;
            color: #fff;
        }
    }
}

.swal-footer {
    text-align: center;
}

// mat-checkbox woraround
// https://github.com/angular/material2/issues/8798
.checkbox-wrapper {
    min-height: 50px;
    display: flex;
    >mat-checkbox {
        align-self: center;
    }
}

.notification-button::before {
    content: '\E7F4';
    font-family: 'Material Icons';
    font-size: 26px;
}

.notification-button {
    position: relative;
    float: right;
    padding: 9px 10px;
    margin-right: 15px;
    margin-top: 8px;
    margin-bottom: 8px;
    background-color: transparent;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    text-decoration: none;
    color: #fff;
    width: 20px;
    height: 20px;
    margin-top: -4px;
    margin-right: 17px;
}

.abp-pagination-controls-wrapper {
    text-align: center;
}

.header-dropdown-mat-icon-button {
    bottom: 10px;
}

.navbar-brand {
    width: unset !important;
}

.action-button {
    top: -9px;
}

// force all material design form fields to be 100% wide
.mat-form-field {
    display: block !important;
}

.table-responsive{
    overflow: hidden;
}

a.mat-icon {
    text-decoration: none;
    color: white;
    display: inline;
    vertical-align: middle;
}
